# Generated by Django 2.1.7 on 2019-02-18 18:02

from django.db import migrations, models
import django.db.models.deletion
# from fias.models.address import FIASStreetAddress


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Company',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('legacy_id', models.IntegerField(blank=True, editable=False, null=True, unique=True, verbose_name='legacy ID')),
                ('created', models.DateTimeField(auto_now_add=True, null=True, verbose_name='created')),
                ('updated', models.DateTimeField(auto_now=True, null=True, verbose_name='updated')),
                ('full_name', models.CharField(help_text='auto-filled for induvidual enterpreneurs', max_length=255, verbose_name='full_name')),
                ('short_name', models.CharField(blank=True, help_text='auto-filled for induvidual enterpreneurs', max_length=255, null=True, verbose_name='short name')),
                ('inn', models.CharField(blank=True, max_length=32, null=True, unique=True, verbose_name='INN')),
                ('ogrn', models.CharField(blank=True, max_length=32, null=True, unique=True, verbose_name='OGRN')),
                ('registration_date', models.DateField(blank=True, null=True, verbose_name='registration date')),
                ('website_url', models.URLField(blank=True, max_length=255, null=True, verbose_name='website_url')),
                ('phone', models.CharField(blank=True, max_length=255, null=True, verbose_name='phone')),
                ('email', models.EmailField(blank=True, max_length=255, null=True, verbose_name='email')),
                ('is_rightholder', models.BooleanField(default=False, verbose_name='is rightholder')),
                ('is_partner', models.BooleanField(default=False, verbose_name='is partner')),
                ('is_violator', models.BooleanField(default=False, verbose_name='is violator')),
                ('comment', models.TextField(blank=True, null=True, verbose_name='comment')),
                ('payment_details', models.TextField(blank=True, null=True, verbose_name='payment details')),
                ('full_address', models.CharField(blank=True, editable=False, max_length=255, verbose_name='legal address')),
            ],
            options={
                'verbose_name': 'company',
                'verbose_name_plural': 'companies',
            },
            # bases=(FIASStreetAddress,),
        ),
        migrations.CreateModel(
            name='Employment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, null=True, verbose_name='created')),
                ('updated', models.DateTimeField(auto_now=True, null=True, verbose_name='updated')),
                ('is_chief', models.BooleanField(default=False, verbose_name='is chief')),
                ('work_phone', models.CharField(max_length=255, null=True, verbose_name='work phone')),
                ('work_email', models.EmailField(max_length=255, null=True, verbose_name='work email')),
                ('comment', models.TextField(verbose_name='comment')),
                ('company', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='companies.Company', verbose_name='company')),
            ],
            options={
                'verbose_name': 'employment',
                'verbose_name_plural': 'employments',
            },
        ),
        migrations.CreateModel(
            name='IncorporationType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('legacy_id', models.IntegerField(blank=True, editable=False, null=True, unique=True, verbose_name='legacy ID')),
                ('created', models.DateTimeField(auto_now_add=True, null=True, verbose_name='created')),
                ('updated', models.DateTimeField(auto_now=True, null=True, verbose_name='updated')),
                ('name', models.CharField(max_length=255, verbose_name='name')),
                ('abbreviation', models.CharField(max_length=255, verbose_name='abbreviation')),
            ],
            options={
                'verbose_name': 'incorporation type',
                'verbose_name_plural': 'incorporation types',
            },
        ),
        migrations.CreateModel(
            name='Person',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('legacy_id', models.IntegerField(blank=True, editable=False, null=True, unique=True, verbose_name='legacy ID')),
                ('created', models.DateTimeField(auto_now_add=True, null=True, verbose_name='created')),
                ('updated', models.DateTimeField(auto_now=True, null=True, verbose_name='updated')),
                ('last_name', models.CharField(max_length=255, verbose_name='surname')),
                ('first_name', models.CharField(blank=True, max_length=255, null=True, verbose_name='first name')),
                ('middle_name', models.CharField(blank=True, max_length=255, null=True, verbose_name='patronymic')),
                ('maiden_name', models.CharField(blank=True, max_length=255, null=True, verbose_name='maiden name')),
                ('birth_date', models.DateField(blank=True, null=True, verbose_name='birth date')),
                ('birth_place', models.CharField(blank=True, max_length=255, null=True, verbose_name='birth place')),
                ('inn', models.CharField(blank=True, max_length=32, null=True, unique=True, verbose_name='INN')),
                ('passport_number', models.CharField(blank=True, max_length=32, null=True, unique=True, verbose_name='passport number')),
                ('phone', models.CharField(blank=True, max_length=255, null=True, verbose_name='phone')),
                ('email', models.EmailField(blank=True, max_length=255, null=True, verbose_name='email')),
                ('comment', models.TextField(blank=True, null=True, verbose_name='comment')),
                ('diploma', models.FileField(blank=True, max_length=255, null=True, upload_to='diplomas/', verbose_name='diploma')),
            ],
            options={
                'verbose_name': 'person',
                'verbose_name_plural': 'persons',
            },
        ),
        migrations.CreateModel(
            name='Position',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, null=True, verbose_name='created')),
                ('updated', models.DateTimeField(auto_now=True, null=True, verbose_name='updated')),
                ('name', models.CharField(max_length=255, verbose_name='name')),
            ],
            options={
                'verbose_name': 'position',
                'verbose_name_plural': 'positions',
            },
        ),
        migrations.AddField(
            model_name='employment',
            name='person',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='companies.Person', verbose_name='person'),
        ),
        migrations.AddField(
            model_name='employment',
            name='position',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, to='companies.Position', verbose_name='position'),
        ),
        migrations.AddField(
            model_name='company',
            name='incorporation_type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='companies.IncorporationType', verbose_name='incorporation type'),
        ),
        migrations.AddField(
            model_name='company',
            name='individual_enterpreneur_person',
            field=models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='individual_enterprise', to='companies.Person', verbose_name='individual enterpreneur person'),
        ),
        migrations.CreateModel(
            name='Partner',
            fields=[
            ],
            options={
                'verbose_name': 'partner',
                'verbose_name_plural': 'partners',
                'proxy': True,
                'indexes': [],
            },
            bases=('companies.company',),
        ),
        migrations.CreateModel(
            name='Rightholder',
            fields=[
            ],
            options={
                'verbose_name': 'rightholder',
                'verbose_name_plural': 'rightholders',
                'proxy': True,
                'indexes': [],
            },
            bases=('companies.company',),
        ),
        migrations.CreateModel(
            name='Violator',
            fields=[
            ],
            options={
                'verbose_name': 'violator',
                'verbose_name_plural': 'violators',
                'proxy': True,
                'indexes': [],
            },
            bases=('companies.company',),
        ),
    ]
